/************************************************************************
**
** @(#)ttermext.h		10/03/94		Chris Ahlstrom
**
** Borland C++/Turbo Vision
**
**		An extended version Turbo Vision's TTerminal class (the fixed-up
** version, TTerminal2 [tterminl.cpp/h] is used), for writing
** the screen interior to a file.
**
*************************************************************************/

#if !defined(TTERMEXT_h)								/* { TTERMEXT_h	*/
#define TTERMEXT_h


#include <stdio.h>				// file i/o

//#define Uses_TTerminal
//#define Uses_otstream
//#include <tv.h>

#include "tterminl.h"			// TTerminal2 class


/************************************************************************
** TTerminalExtended class
**
**		Largely based on the handy TTerminal class provided by Borland.
** Unforturnately, we can't do anything that requires a destructor,
** because the TTerminal destructor is not virtual.
**
*************************************************************************/

class TTerminalExtended : public TTerminal2
{

public:

	TTerminalExtended
	(
		const TRect &bounds,
		TScrollBar *ahscrollbar,
		TScrollBar *avscrollbar,
		ushort bufsize
	);

	//
	// Note the lack of a destructor.
	//

	ushort writeBuffer
	(
		FILE *handle
	);
	void killBuffer ();

};


#endif													/* } TTERMEXT_h	*/
