//***********************************************************************
//
// @(#)rbox_in0.h		12/30/95		Chris Ahlstrom
//
// ---------------------------
//  73340.26@compuserve.com
// ---------------------------
//
// C++; edit with tab-stops = 4.
//
//		Defines the ResponseBoxInteriorNull class, which implement
// a null interior.
//
//		At some point we might add some simple messages to clue in
// the subject.
//
//***********************************************************************

#if !defined(rbox_in0_h)								// { rbox_in0_h
#define rbox_in0_h

#include "rbox_inb.h"		// ResponseBoxInteriorBase


//***********************************************************************
// ResponseBoxInteriorNull
//***********************************************************************

class ResponseBoxInteriorNull : public ResponseBoxInteriorBase
{

public:

	ResponseBoxInteriorNull();				// constructor

	virtual int drawThis ()
	{
		return 0;
	}
	virtual int startState ()
	{
		return 0;
	}
	virtual int intervalLight (int, int)
	{
		return 0;
	}
	virtual int responseLight (int, int)
	{
		return 0;
	}
	virtual int responseOff (int)
	{
		return 0;
	}
	virtual int readyLight (int)
	{
		return 0;
	}
	virtual int failureLight (int)
	{
		return 0;
	}
	virtual int bannerLight (int)
	{
		return 0;
	}
	virtual int answerLight (int)
	{
		return 0;
	}
	virtual int wrongLight (int)
	{
		return 0;
	}
	virtual int rightLight (int)
	{
		return 0;
	}
	virtual int feedbackLight (int, int)
	{
		return 0;
	}

protected:									// internal support

	virtual int drawSpecial (int, unsigned)
	{
		return 0;
	}
	virtual int drawText (unsigned, unsigned)
	{
		return 0;
	}
	virtual int drawGraphic (unsigned, unsigned)
	{
		return 0;
	}
	virtual void allOff ()
	{
	}

};


#endif													// } rbox_in0_h
