/************************************************************************
**
** @(#)tv_stock.h	12/10/93	Chris Ahlstrom
**
**	Just a few stock data-types, and, later, routines, to handle
** some common dialog-box operations that are outside the purview
** of the FACE_WIN dialog-box interface.
**
**	1.  Management of a selection box that has a pretty strict
**	    format:  a 16-element (fewer can be supported easily) list
**	    of radio-buttons representing a set of available or
**	    unavailable options; an OK button; a Cancel button.
**
*************************************************************************/

#ifndef TV_STOCK_h					/* { TV_STOCK_h	*/
#define TV_STOCK_h


/************************************************************************
** RadioActivity
**
**	The DOS version of this typedef is pretty simple.  We don't
** need to store a pointer to the radiobuttons.  We have to have
** access to the button-strings before the buttons are created, and,
** in the FACE_TV scheme, the only time we have access to them is before
** we call makeFields() [in doDialog()].
**
**	The constructor already gives us access to them.
**
*************************************************************************/

typedef int RadioActivity;


#endif							/* { TV_STOCK_h	*/
